Class | OptionParser::Switch::OptionalArgument
In: | optparse.rb
Parent: | self

Switch that can omit argument.

### Methods

parse

### Public Instance methods

parse(arg, argv, &error)

Parses argument if given, or uses default value.

[Source]

    # File optparse.rb, line 460
          def parse(arg, argv, &error)
            if arg
              conv_arg(*parse_arg(arg, &error))
            else
              conv_arg(arg)
            end
          end

[Validate]